
namespace BUG
{

/**
	@file test.cpp Contains a specific doxygen bug.
	@class UnintentionallyBrief The UnintentionallyBrief class contains a specific doxygen bug.
	The above line should read: "The UnintentionallyBrief class contains a specific doxygen bug."
*/

class UnintentionallyBrief
{
	///	Specifies the degee of unintentionality.
	/// The above line should read: "Specifies the degee of unintentionality."
	/// This and the previous line should be in the details with JAVADOC_AUTOBRIEF on.
	int		oopsness;
	// Note: Bug not dependent on comment type (multiple or single line).
};

/**
*	Contians a specific exception to the UnintentionallyBrief bug.
*	JavaDoc auto brief seems to work just fine...
*
*	...Wait, oh that's because ABBREVIATE_BRIEF doesn't support JAVADOC_AUTOBRIEF
*	(Enable the ABBREVIATE_BRIEF and see for yourself).
*/
class AccideniallyVerboseBrief
{
	/**
	*	\brief	Provides a specific test case to contrast with the above JAVADOC_AUTOBRIEF.
	*	@see AccideniallyVerboseBrief class doc comment.
	*/
	unsigned int		happyAccident;
};

/// \brief accidentallyBriefFunction contains a specific doxygen bug.
/**
*	The above line should read: "The accidentallyBriefFunction contains a specific doxygen bug."
*/
bool accidentallyBriefFunction( void )
{
	return true;
}

} // end namespace

/// The main function contains a specific exception to the rules.
/// The previous line should read: "The main function contains a specific exception to the rules."
int main( void )
{
	using namespace BUG;
	return 1; // exit with error.
}
